class IndoorLocation {
  final double latitude;
  final double longitude;
  final String provider;
  final String receivedTime;
  final double accuracy;

  IndoorLocation({
    this.latitude, this.longitude,
    this.provider,
    this.accuracy,
    this.receivedTime});

  factory IndoorLocation.fromMap (Map m) {
    final DateTime now = DateTime.now();
    return new IndoorLocation(
      latitude: m['latitude'],
      longitude: m['longitude'],
      provider: m['provider'],
      receivedTime: "${now.hour}:${now.minute}:${now.second}:${now.millisecond}",
      accuracy: m['accuracy']
    );
  }

  String toString () {
    return "IndoorLocation[$provider $latitude,$longitude $receivedTime]";
  }
}